Rensei docs

Store one project's narrowing of an installed model (org admin).

Store one project's narrowing of an installed model (org admin). - Rensei REST API operation reference.

PUT
/api/org/{orgId}/model-library/entries/{entryId}/projects/{projectId}

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

entryId*string

Model library entry id.

Length1 <= length <= 200
projectId*string

Project id in the same org.

Length1 <= length <= 200

Request Body

application/json
  1. body
included*boolean

Membership under selected scope; never implied.

disabled*boolean

Denies the project under either scope.

authModes*array<>|

Project narrowing; null means no narrowing.

Items1 <= items <= 4
efforts*array<>|

Project narrowing; null means no narrowing, including future tiers.

Items1 <= items <= 5

Response Body

The project's stored narrowing.

application/json
  1. response
access*
Example Request
curl -X PUT 'https://app.rensei.ai/api/org/string/model-library/entries/string/projects/string' \  -H 'Content-Type: application/json' \  -d '{  "included": true,  "disabled": true,  "authModes": [    "byok"  ],  "efforts": [    "low"  ]}'
Example Response
{  "access": {    "included": true,    "authModes": [      "byok"    ],    "efforts": [      "string"    ],    "disabled": true  }}